//支付订单模块
import request from '@/utils/request'
//套餐订单列表用哪个接口
//订单详情，订单修改数量

/**
* 生成订单
* @param {*} data 
* @returns 
*/
export const saveOrder = (data) => request('/order', { method: 'post', data })

/**
* 获取子订单列表
* @param {*} data
* @returns 
*/
export const getOrderSub = (data) => request('/orderSub', { data })

/**
* 订单项目发起支付
* @param {*} id 
* @returns 
*/
export const payOrder = (id) => request(`/order/${id}/pay`, { method: 'post' })

/**
* 获取子订单列表
* @param {*} id
* @returns 
*/
export const getQrcode = (id) => request(`/qrcode/${id}`)

/**
* 获取待支付/待核销/退款数量
* @param {*} id
* @returns 
*/
export const getMineOrder = () => request(`/orderSub/summary/mine`)

