
import request from '@/utils/request'


/**
 * 商铺老板详情
 * @param {*} 
 * @returns 
 */
export const getShopList = (params) => request(`/shop/manage/index`, { params })


/**
 * 商铺账户全年订单收入/推广
 * @param {*} 
 * @returns 
 */
export const getShopMoney = (id, amountType) => request(`/shop/${id}/account?amountType=${amountType}`, { id })


/**
 * 商铺推广收入
 * @param {*} 
 * @returns 
 */
export const getAccount = (id,) => request(`/shop/account/${id}/log`, { id })

