import React from 'react'
import Popup from '@/components/Popup'
import Taro from '@tarojs/taro'
import { Input, Button, View, Picker, Label } from '@tarojs/components'
import './ShareRoom.less'
import { useState } from 'react'


export default (props) => {
  const { showCutover, onClose,roomId } = props
  const [startDate, setStartDate] = useState('')
  const [endDate, setEndDate] = useState('')
  const [roomNum, setRoomNum] = useState()
  const handelStartDate = (e) => {
    setStartDate(e.detail.value)
  }
  const handelEndDate = (e) => {
    setEndDate(e.detail.value)
  }
const handelShare=()=>{
  if(roomNum!=''&&startDate!=''&&endDate!=''){
    console.log(roomNum,startDate,roomId)
  }
}
  return (
    <Popup show={showCutover} onClose={onClose}>
      <Label style={{color:'black'}}>请输入入住人信息</Label>
      <View><Label>入住人数：</Label><Input focus dataField='nm' onInput={(e) => setRoomNum(e.detail.value )} value={roomNum} type='number' placeholder='请输入入住人数' /></View>
      <View>
        <Label>入住开始时间：</Label>
        <Picker mode='date' onChange={handelStartDate}>
          <View className='picker'  >
            {startDate == '' ? '请选择入住开始时间' : startDate}
          </View>
        </Picker>
      </View>
      <View>
        <Label>入住结束时间：</Label>
        <Picker mode='date' onChange={handelEndDate}>
          <View className='picker'  >
            {endDate == '' ? '请选择入住结束时间' : endDate}
          </View>
        </Picker>
      </View>
      <View><Button className='btn' onClick={onClose}>取消</Button><Button className='btn' onClick={handelShare}>分享</Button></View>
    </Popup>
  )
}